## prism 0.0.7

=== DESCRIPTION ===
Package: prism
Type: Package
Title: Access Data from the Oregon State Prism Climate Project
Description: Allows users to access the Oregon State Prism climate data. Using the web service API data can easily downloaded in bulk and loaded into R for spatial analysis. Some user friendly visualizations are also provided.
URL: http://github.com/ropensci/prism
BugReports: http://github.com/ropensci/prism/issues
Version: 0.0.7
Date: 2015-11-11
Authors@R: c(person("Hart", "Edmund", role = c("aut","cre"),email =
    "Edmund.m.hart@gmail.com"),
    person("Kendon", "Bell", role = c("aut"),
    email = "kmb56@berkeley.edu") )
License: MIT + file LICENSE
Imports: ggplot2, raster, httr
LazyLoad: yes
LazyData: yes
VignetteBuilder: knitr
Suggests: testthat, knitr
Packaged: 2015-11-16 04:16:38 UTC; edmundhart
Author: Hart Edmund [aut, cre],
  Kendon Bell [aut]
Maintainer: Hart Edmund <Edmund.m.hart@gmail.com>
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-11-16 08:20:18

## prism 0.1.0

=== DESCRIPTION ===
Package: prism
Title: Access Data from the Oregon State Prism Climate Project
Description: Allows users to access the Oregon State Prism climate data. Using
    the web service API data can easily downloaded in bulk and loaded into R for
    spatial analysis. Some user friendly visualizations are also provided.
URL: http://github.com/ropensci/prism
BugReports: http://github.com/ropensci/prism/issues
Version: 0.1.0
Authors@R: c(
    person("Hart", "Edmund", email ="Edmund.m.hart@gmail.com",role = c("aut", "ccp")),
    person("Kendon", "Bell", email = "kmb56@berkeley.edu", role = c("aut")),
    person("Alan", "Butler", ,"rabutler@usbr.gov", c("ctb","cre"))
    )
License: MIT + file LICENSE
Imports: ggplot2, lubridate, raster, httr, dplyr, stringr, magrittr,
        purrr, readr, utils
LazyLoad: yes
LazyData: yes
VignetteBuilder: knitr
Suggests: covr, knitr, testthat
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-12-10 19:02:09 UTC; RAButler
Author: Hart Edmund [aut, ccp],
  Kendon Bell [aut],
  Alan Butler [ctb, cre]
Maintainer: Alan Butler <rabutler@usbr.gov>
Repository: CRAN
Date/Publication: 2018-12-10 22:00:04 UTC

## prism 0.2.0

=== DESCRIPTION ===
Package: prism
Title: Access Data from the Oregon State Prism Climate Project
Description: Allows users to access the Oregon State Prism climate data
    (<https://prism.nacse.org/>). Using the web service API data
    can easily downloaded in bulk and loaded into R for spatial analysis.
    Some user friendly visualizations are also provided.
URL: https://docs.ropensci.org/prism/,
        https://github.com/ropensci/prism
BugReports: https://github.com/ropensci/prism/issues
Version: 0.2.0
Authors@R: c(
    person("Hart", "Edmund", email ="Edmund.m.hart@gmail.com",role = c("aut", "ccp")),
    person("Kendon", "Bell", email = "kmb56@berkeley.edu", role = c("aut")),
    person("Alan", "Butler", ,"rabutler@usbr.gov", c("ctb","cre"))
    )
License: MIT + file LICENSE
Imports: ggplot2, lubridate, raster, httr, dplyr, stringr, magrittr,
        purrr, readr, utils
LazyLoad: yes
LazyData: yes
VignetteBuilder: knitr
Suggests: covr, knitr, rmarkdown, testthat (>= 2.1.0)
RoxygenNote: 7.1.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2020-12-05 18:39:46 UTC; RAButler
Author: Hart Edmund [aut, ccp],
  Kendon Bell [aut],
  Alan Butler [ctb, cre]
Maintainer: Alan Butler <rabutler@usbr.gov>
Repository: CRAN
Date/Publication: 2020-12-05 22:50:03 UTC

## prism 0.2.1

=== DESCRIPTION ===
Package: prism
Title: Access Data from the Oregon State Prism Climate Project
Description: Allows users to access the Oregon State Prism climate data
    (<https://prism.nacse.org/>). Using the web service API data
    can easily downloaded in bulk and loaded into R for spatial analysis.
    Some user friendly visualizations are also provided.
URL: https://docs.ropensci.org/prism/,
        https://github.com/ropensci/prism
BugReports: https://github.com/ropensci/prism/issues
Version: 0.2.1
Authors@R: c(
    person("Hart", "Edmund", email ="Edmund.m.hart@gmail.com",role = c("aut", "ccp")),
    person("Kendon", "Bell", email = "kmb56@berkeley.edu", role = c("aut")),
    person(given = "Alan", family = "Butler", email = "rabutler@usbr.gov", 
    role = c("ctb","cre"),comment = c(ORCID = "0000-0002-8625-6386"))
    )
License: MIT + file LICENSE
Imports: ggplot2, raster, httr, dplyr, stringr, magrittr, readr, utils
VignetteBuilder: knitr
Suggests: covr, knitr, rmarkdown, testthat (>= 2.1.0)
RoxygenNote: 7.2.3
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2023-10-18 03:41:45 UTC; RAButler
Author: Hart Edmund [aut, ccp],
  Kendon Bell [aut],
  Alan Butler [ctb, cre] (<https://orcid.org/0000-0002-8625-6386>)
Maintainer: Alan Butler <rabutler@usbr.gov>
Repository: CRAN
Date/Publication: 2023-10-18 04:30:02 UTC

## prism 0.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
 URL: https://docs.ropensci.org/prism/,
         https://github.com/ropensci/prism
 BugReports: https://github.com/ropensci/prism/issues
-Version: 0.2.1
+Version: 0.2.2
 Authors@R: c(
     person("Hart", "Edmund", email ="Edmund.m.hart@gmail.com",role = c("aut", "ccp")),
     person("Kendon", "Bell", email = "kmb56@berkeley.edu", role = c("aut")),
@@ -18,13 +18,13 @@
 Imports: ggplot2, raster, httr, dplyr, stringr, magrittr, readr, utils
 VignetteBuilder: knitr
 Suggests: covr, knitr, rmarkdown, testthat (>= 2.1.0)
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2023-10-18 03:41:45 UTC; RAButler
+Packaged: 2025-03-18 19:37:56 UTC; RAButler
 Author: Hart Edmund [aut, ccp],
   Kendon Bell [aut],
   Alan Butler [ctb, cre] (<https://orcid.org/0000-0002-8625-6386>)
 Maintainer: Alan Butler <rabutler@usbr.gov>
 Repository: CRAN
-Date/Publication: 2023-10-18 04:30:02 UTC
+Date/Publication: 2025-03-18 20:30:01 UTC

## prism 0.2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
 URL: https://docs.ropensci.org/prism/,
         https://github.com/ropensci/prism
 BugReports: https://github.com/ropensci/prism/issues
-Version: 0.2.2
+Version: 0.2.3
 Authors@R: c(
     person("Hart", "Edmund", email ="Edmund.m.hart@gmail.com",role = c("aut", "ccp")),
     person("Kendon", "Bell", email = "kmb56@berkeley.edu", role = c("aut")),
@@ -21,10 +21,10 @@
 RoxygenNote: 7.3.2
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2025-03-18 19:37:56 UTC; RAButler
+Packaged: 2025-03-24 17:43:59 UTC; RAButler
 Author: Hart Edmund [aut, ccp],
   Kendon Bell [aut],
   Alan Butler [ctb, cre] (<https://orcid.org/0000-0002-8625-6386>)
 Maintainer: Alan Butler <rabutler@usbr.gov>
 Repository: CRAN
-Date/Publication: 2025-03-18 20:30:01 UTC
+Date/Publication: 2025-03-25 15:50:05 UTC

## prism 0.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
 URL: https://docs.ropensci.org/prism/,
         https://github.com/ropensci/prism
 BugReports: https://github.com/ropensci/prism/issues
-Version: 0.2.3
+Version: 0.3.0
 Authors@R: c(
     person("Hart", "Edmund", email ="Edmund.m.hart@gmail.com",role = c("aut", "ccp")),
     person("Kendon", "Bell", email = "kmb56@berkeley.edu", role = c("aut")),
@@ -15,16 +15,17 @@
     role = c("ctb","cre"),comment = c(ORCID = "0000-0002-8625-6386"))
     )
 License: MIT + file LICENSE
-Imports: ggplot2, raster, httr, dplyr, stringr, magrittr, readr, utils
+Imports: dplyr, ggplot2, httr, magrittr, raster, readr, stringr, terra,
+        utils
 VignetteBuilder: knitr
 Suggests: covr, knitr, rmarkdown, testthat (>= 2.1.0)
-RoxygenNote: 7.3.2
+RoxygenNote: 7.3.3
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2025-03-24 17:43:59 UTC; RAButler
+Packaged: 2025-11-14 20:21:59 UTC; RAButler
 Author: Hart Edmund [aut, ccp],
   Kendon Bell [aut],
-  Alan Butler [ctb, cre] (<https://orcid.org/0000-0002-8625-6386>)
+  Alan Butler [ctb, cre] (ORCID: <https://orcid.org/0000-0002-8625-6386>)
 Maintainer: Alan Butler <rabutler@usbr.gov>
 Repository: CRAN
-Date/Publication: 2025-03-25 15:50:05 UTC
+Date/Publication: 2025-11-14 21:20:02 UTC

## prism 1.0b2+svn20090813r49078jolicloud7

=== debian/changelog ===
prism (1.0b2+svn20090813r49078jolicloud7) robby; urgency=low

  * remove Prism desktop shortcut

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Wed, 21 Apr 2010 13:27:32 +0200

prism (1.0b2+svn20090813r49078jolicloud6) robby; urgency=low

  * Default system specific preferences
  * set default window geometry to 1024x576
  * remove sample webapps

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Tue, 20 Apr 2010 18:41:39 +0200

prism (1.0~b2+svn20090813r49078-0ubuntu1) karmic; urgency=low

  [ Sasa Bodiroza <jazzva@gmail.com> ]
  * Remove debian/patches/remove_common_dir_from_prism_Makefile_in_DIRS.patch,
    because it is applied upstream
  * In debian/rules:
    - link $(DEBIAN_PRISM_DIR) to /usr/share/prism/prism in debian/rules
    - remove prism/* from refractor.xpi
  * new upstream codebase; update patches
    - debian/patches/use_xul_1.9_only.patch
  * Add debian/patches/remove_common_dir_from_prism_Makefile_in_DIRS.patch
    to remove "common" from DIRS variable in prism/Makefile.in

  [ Micah Gersten <launchpad@micahscomputing.com> ]
  * Closes LP: #246822 - Update Prism to at least 1.0b1
  * Closes LP: #456650 - prism depends on xulrunner-1.9.1-dom-inspector which doesn't exist
  * Closes LP: #456999 - prism 0.8 version in karmic is hardcoded to xul-1.9
    - update debian/control
      * add libasound2 as build-dep
      * add depends on ${shlibs:Depends}, ${misc:Depends}
    - update debian/rules
    - update debian/patches/installer_shouldnt_copy_xulrunner.patch
    - update debian/series
    - add debian/patches/fix_prism_makefile_sh.patch
    - add debian/patches/use_xul_1.9.1_only.patch
    - drop debian/patches/use_xul_1.9_only.patch

  [ Alexander Sack <asac@ubuntu.com> ]
  * dont install prism-runtime extension bits anymore; seems this is not produced
    anymore by build
    - update debian/prism.install
  * fix build breakage, by copying the refractor.xpi to top level dir; adjust MOZ_XPI_FILE
    accordingly and remove the file during clean::
    - update debian/rules
  * new upstream codebase; update patches
    - debian/patches/dont_build_our_own_stub_with_the_sdk.patch
    - debian/patches/installer_shouldnt_copy_xulrunner.patch
  * ship prism-addons/extensions dir to fix dangling symlink
    - update debian/rules
  * fix prism not starting; we have to ship the components/ and defaults/ directories
    in the prism xulapp dir too
    - update debian/prism.install

  [ Fabien Tassin <fta@ubuntu.com> ]
  * New packaging using cdbs and the new xulapp build-system from
    mozilla-devscripts and xulrunner-1.9-dev. The main package is now using
    Architecture = any. Extensions are now searched for in
    /usr/lib/prism-addons/extensions and /usr/lib/xulrunner-addons/extensions
    now that it is built with --with-libxul-sdk. webapps are patched to
    include the new mandatory name field in webapp.ini, and to ship
    an override.ini file allowing each webapp to have its own profile
    - update debian/rules
    - update debian/control
    - update debian/update-apps.sh
    - update debian/prism.sh
    - remove debian/prism.{links,dirs}
    - remove debian/prism.png.uu
    - update debian/patches/fix_desktop_launcher.patch
    - add debian/patches/fix_installer.patch
    - add debian/patches/installer_shouldnt_copy_xulrunner.patch
    - update debian/patches/series
  * Add the refractor extension in the main prism package. This requires
    a fresh mozilla-devscripts. Bump MaxVersion to 3.0.* for firefox.
    - update debian/rules
    - update debian/control
    - add debian/patches/bump_refractor_max_version.patch
    - update debian/patches/series
  * Build with --with-system-nspr/nss, this is now necessary as upstream
    now needs include files
    - update debian/rules
  * Don't build a prism-stub when building with the SDK
    - add debian/patches/dont_build_our_own_stub_with_the_sdk.patch
    - update debian/patches/series
  * Set MaxVersion to 1.9.0.* as 1.9.1 is no longer usable
    since https://bugzilla.mozilla.org/show_bug.cgi?id=462774 landed
    - add debian/patches/use_xul_1.9_only.patch
    - update debian/patches/series
  * Remove patches no longer needed:
    - drop debian/patches/remove_scriptableio.patch
    - drop debian/patches/use_png_for_windows_icons_on_linux.patch
    - drop debian/patches/bump_refractor_max_version.patch
    - update debian/patches/series

 -- Micah Gersten <launchpad@micahscomputing.com>  Sun, 25 Oct 2009 01:16:02 -0500

prism (0.8+svn20071115r8030-0ubuntu3) hardy; urgency=low

  * Use PNG instead of deprecated XPM for windows icons (LP: #205782, #206180)
    Build-depends on zip, imagemagic (convert) and shareutils (uudecode)
    - add debian/patches/use_png_for_windows_icons_on_linux.patch
    - update debian/patches/series
    - add debian/prism.png.uu
    - update debian/control
    - update debian/rules
    - update debian/prism-*.install
    - update debian/update-apps.sh

 -- Fabien Tassin <fta@sofaraway.org>  Mon, 24 Mar 2008 16:39:37 +0100

prism (0.8+svn20071115r8030-0ubuntu2) hardy; urgency=low

  * Bump Standards-Version to 3.7.3
    - update debian/control
  * Bump debhelper requirement to (>= 5.0.51~) because of dh_icons
    - update debian/control
  * Fix desktop icons created by prism (LP: #196861)
    Thanks to Michael Chang <thenewme91@gmail.com>
    - update debian/patches/fix_desktop_launcher.patch
  * Updated desktop file categories (LP: #180879)
    Thanks to Dean Sas <dean@deansas.org>
    - update debian/prism-google-*.desktop
  * Update update-apps.sh to handle desktop file categories
    - update debian/update-apps.sh
    - update debian/rules
  * Update prism-google-groups.desktop category too
    - update debian/prism-google-groups.desktop
  * Restore auto-save of webapps size and position broken since ScriptableIO
    has been dropped from xulrunner-1.9 (at beta 3).
    - add debian/patches/remove_scriptableio.patch
    - update debian/patches/series


=== debian/control ===
Source: prism
Section: net
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Bzr: https://code.launchpad.net/~mozillateam/prism/prism
Homepage: http://wiki.mozilla.org/Prism
Build-Depends: debhelper (>= 5.0.51~),
	cdbs,
	autoconf2.13,
	pkg-config,
	libgtk2.0-dev (>= 2.10),
	libgnomevfs2-dev,
	libdbus-glib-1-dev (>= 0.60),
	libxt-dev,
	quilt,
	unzip,
	zip,
	sharutils,
	imagemagick,
	libasound2-dev,
	mozilla-devscripts (>= 0.11~),
	xulrunner-1.9.1-dev 
Standards-Version: 3.7.3

Package: prism
Section: net
Architecture: any
Depends: xulrunner-1.9.1, unzip, ${shlibs:Depends}, ${misc:Depends}
Description: Split web applications out of the browser and run them directly on the desktop
 Prism, previously called WebRunner, is a simple XULRunner based browser that
 hosts web applications without the normal web browser user interface. It is
 based on a concept called Site Specific Browsers (SSB).
 .
 XULRunner is a single "gecko runtime" that can be used to bootstrap
 multiple XUL + XPCOM applications that are as rich as Firefox and
 Thunderbird.

Package: prism-facebook
Section: net
Architecture: all
Depends: prism
Homepage: http://www.facebook.com/
Description: Facebook WebApp for Prism
 Facebook WebApp is a Web Application using Prism, a simple
 XULRunner browser for web applications.

=== debian/rules ===
#!/usr/bin/make -f

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_ARCH     ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

DEBIAN_XUL_VER   := $(shell xulrunner-1.9.1 --gre-version)
DEBIAN_XUL_DEV   := /usr/lib/xulrunner-devel-$(DEBIAN_XUL_VER)
DEBIAN_PRISM_VER  = $(shell grep ^MOZ_APP_VERSION= prism/confvars.sh | cut -d= -f2)
DEBIAN_PRISM_DIR  = usr/lib/prism-$(DEBIAN_PRISM_VER)

DEB_AUTO_UPDATE_AUTOCONF = 2.13

MOZ_XPI_BUILD_COMMAND	:= $(NULL)

include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/mozilla-devscripts/prism.mk
include /usr/share/mozilla-devscripts/xpi.mk

DEB_CONFIGURE_USER_FLAGS = \
        --with-libxul-sdk=$(DEBIAN_XUL_DEV) \
        --enable-application=prism \
        --with-system-libxul \
        --with-system-nspr \
        --with-system-nss \
        --disable-debug \
        --disable-crashreporter \
        --with-distribution-id=com.ubuntu \
	$(NULL)

WEBAPPS = \
	"facebook@facebook@Facebook@http://www.facebook.com/@GTK;Network;" \
	"google-analytics@ganalytics@Google~Analytics@http://analytics.google.com/@GTK;Network;" \
	"google-calendar@gcalendar@Google~Calendar@https://www.google.com/calendar@GTK;Office;Calendar;" \
	"google-docs@gdocs@Google~Docs@https://docs.google.com/@GTK;Office;Spreadsheet;WordProcessor;" \
	"google-mail@gmail@Google~Mail~\(GMail\)@https://mail.google.com/@GTK;Network;Email;" \
	"google-reader@greader@Google~Reader@https://www.google.com/reader@GTK;Network;News;" \
	"google-groups@groups@Google~Groups@http://groups.google.com/groups/favorites@GTK;Network;News;" \
	"google-talk@gtalk@Google~Talk@http://talkgadget.google.com/talkgadget/popout@GTK;Network;InstantMessaging;" \
	"twitter@twitter@twitter@http://www.twitter.com/@GTK;Network;" \
	$(NULL)

ALL_WEBAPPS = $(shell echo $(WEBAPPS) | sed -e 's/\([^@]*\)@[^ ]*\( *\)/\1\2/g')

build/prism::
	cp -f dist/xpi-stage/refractor.xpi .

binary-install/prism::
	mv debian/tmp/usr/bin/prism debian/tmp/usr/bin/prism-bin
	install -m 755 debian/prism.sh debian/tmp/usr/bin/prism
	dh_install -pprism debian/tmp/usr/bin

	dh_installdirs -pprism usr/lib/prism-addons/extensions
	dh_link -pprism usr/lib/prism-addons/extensions $(DEBIAN_PRISM_DIR)/extensions
	dh_link -pprism $(DEBIAN_PRISM_DIR) /usr/share/prism/prism
	# Icons
	install -m 644 debian/tmp/$(DEBIAN_PRISM_DIR)/chrome/icons/default/install-shortcut48.png \
	               debian/tmp/$(DEBIAN_PRISM_DIR)/chrome/icons/default/app.png
	install -d -m 755 debian/tmp/usr/share/pixmaps
	install -m 644 debian/tmp/$(DEBIAN_PRISM_DIR)/chrome/icons/default/install-shortcut48.png \
	               debian/tmp/usr/share/pixmaps/prism.png
	dh_install -pprism debian/tmp/usr/share/pixmaps/prism.png
	for size in 48 ; do \
	 install -d -m 755 debian/tmp/usr/share/icons/gnome/$${size}x$${size}/mimetypes ; \
	 install -m 644 debian/tmp/$(DEBIAN_PRISM_DIR)/chrome/icons/default/install-shortcut$$size.png \
			debian/tmp/usr/share/icons/gnome/$${size}x$${size}/mimetypes/gnome-mime-application-vnd.mozilla.webapp.png ; \
	done
	dh_install -pprism debian/tmp/usr/share/icons

	touch debian/prism/$(DEBIAN_PRISM_DIR)/.autoreg

$(patsubst %,build/prism-%,$(ALL_WEBAPPS)):: WEBAPP = $(subst build/prism-,,$@)
$(patsubst %,build/prism-%,$(ALL_WEBAPPS)):: LINE   = $(filter "$(WEBAPP)%",$(WEBAPPS))
$(patsubst %,build/prism-%,$(ALL_WEBAPPS)):: APP    = $(firstword $(subst @, ,$(subst "$(WEBAPP)@,,$(LINE))))
$(patsubst %,build/prism-%,$(ALL_WEBAPPS))::
	install -d -m 755 debian/tmp/usr/share/prism/apps
	install -m 644 prism/install/profiles/$(APP).webapp debian/tmp/usr/share/prism/apps
	install -d -m 755 debian/tmp/usr/share/applications
	install -m 644 debian/prism-$(WEBAPP).desktop debian/tmp/usr/share/applications
	# Fetch the xpm icon from the webapp and turn it into a png for the desktop file
	cd debian && unzip tmp/usr/share/prism/apps/$(APP).webapp $(APP).xpm || test $$? = 11
	if [ -e debian/$(APP).xpm ] ; then \
	  convert debian/$(APP).xpm debian/$(APP).png ; \
	  ( cd debian ; zip tmp/usr/share/prism/apps/$(APP).webapp $(APP).png ) ; \
	  mv debian/$(APP).png debian/prism-$(WEBAPP).png ; \
	  rm -f debian/$(APP).xpm ; \
	else \
	  cp dist/bin/chrome/icons/default/install-shortcut48.png debian/prism-$(WEBAPP).png ; \
	fi
	install -d -m 755 debian/tmp/usr/share/pixmaps
	install -m 644 debian/prism-$(WEBAPP).png debian/tmp/usr/share/pixmaps
	# Fix webapp.ini if there's no 'name' field
	cd debian && unzip tmp/usr/share/prism/apps/$(APP).webapp webapp.ini
	if [ -e debian/webapp.ini ] && [ `grep -c ^name= debian/webapp.ini` -eq 0 ] ; then \
	  perl -i -pe 's/^(id=.*)/$$1\nname=$(APP)/' debian/webapp.ini ; \
	  ( cd debian ; zip -u tmp/usr/share/prism/apps/$(APP).webapp webapp.ini ) ; \
	  rm -f debian/webapp.ini ; \
	fi
	# Add an override.ini file if it's missing
	cd debian && unzip tmp/usr/share/prism/apps/$(APP).webapp override.ini || test $$? = 11
	if [ ! -e debian/override.ini ] ; then \
	  echo "[App]\nVendor=Prism\nName=$(APP)" > debian/override.ini ; \
	  ( cd debian ; zip -u tmp/usr/share/prism/apps/$(APP).webapp override.ini ) ; \
	  rm -f debian/override.ini ; \
	fi

clean::
	rm -f debian/prism-*.png
	rm -f refractor.xpi

## prism 1.0b3+svn20100210r62050-0ubuntu3nanjing-natty1

=== debian/changelog ===
prism (1.0b3+svn20100210r62050-0ubuntu3nanjing-natty1) natty; urgency=low

  * rebuild for natty

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Tue, 05 Apr 2011 12:19:52 -0400

prism (1.0b3+svn20100210r62050-0ubuntu3) maverick; urgency=low

  * correct previous mistake, forgot to add prism-qq in debian/control 

 -- Zhengpeng Hou <zhengpeng-hou@ubuntu.com>  Tue, 05 Oct 2010 18:50:21 +0800

prism (1.0b3+svn20100210r62050-0ubuntu2) maverick; urgency=low

  * Add qq support
  * convert package system to use format 3.0 

 -- Zhengpeng Hou <zhengpeng-hou@ubuntu.com>  Tue, 05 Oct 2010 16:38:52 +0800

prism (1.0b3+svn20100210r62050-0ubuntu1) lucid; urgency=low

  [ Micah Gersten <micahg@ubuntu.com> ]
  * Drop patch after upstream landing of (bmo: 527827) aka
    Build fails because prism/Makefile is missing in makefiles.sh
    - drop debian/patches/fix_prism_makefile_sh.patch
    - update debian/patches/series
  * fix LP: #504524 - migrate from mozilla-devscripts to in package mozclient
    - add debian/mozclient/prism.conf
    - add debian/mozclient/prism.mk
    - update debian/rules
  * Migrate from xulrunner-1.9.1 to xulrunner-1.9.2 (LP: #543708)
   - rename debian/patches/use_xul_1.9.1_only.patch => debian/patches/use_xul_1.9.2_only.patch
   - update debian/patches/use_xul_1.9.2_only.patch
   - update debian/control
   - update debian/patches/series
   - update debian/rules
  * Have make clean delete .so files as well
    - update debian/rules
  * Add clean target to rules to clean up for the changes for xulrunner 1.9.2
    build system until we can get mozilla-devscripts 0.21 uploaded
    - update debian/rules
  * Add README.source for tarball generation, patching, and source format
    - add debian/prism.docs
    - add debian/README.source
  * Add ${xpi:Provides}, ${xpi:Recommends}, ${xpi:Enhances}
    - update debian/control

  [ Benjamin Drung <bdrung@ubuntu.com> ]
  * Add ${misc:Depends} to all packages.
    - update debian/control
  * Remove duplicate source binary control field.
    - update debian/control

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 22 Mar 2010 19:57:27 -0500

prism (1.0~b2+svn20090813r49078-0ubuntu2) lucid; urgency=low

  * Clean the package properly in the clean target (LP: #460466).

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 07 Jan 2010 23:38:47 +0100

=== debian/control ===
Source: prism
Section: net
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Bzr: https://code.edge.launchpad.net/~oem-solutions-group/nanjing/prism
Homepage: http://wiki.mozilla.org/Prism
Build-Depends: debhelper (>= 5.0.51~),
	cdbs,
	autoconf2.13,
	pkg-config,
	libgtk2.0-dev (>= 2.10),
	libgnomevfs2-dev,
	libdbus-glib-1-dev (>= 0.60),
	libxt-dev,
	quilt,
	unzip,
	zip,
	sharutils,
	imagemagick,
	libasound2-dev,
	mozilla-devscripts (>= 0.11~),
	xulrunner-1.9.2-dev 
Standards-Version: 3.7.3

Package: prism
Architecture: any
Depends: xulrunner-1.9.2, unzip, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: Split web applications out of the browser and run them directly on the desktop
 Prism, previously called WebRunner, is a simple XULRunner based browser that
 hosts web applications without the normal web browser user interface. It is
 based on a concept called Site Specific Browsers (SSB).
 .
 XULRunner is a single "gecko runtime" that can be used to bootstrap
 multiple XUL + XPCOM applications that are as rich as Firefox and
 Thunderbird.

Package: prism-facebook
Architecture: all
Depends: prism, ${misc:Depends}
Homepage: http://www.facebook.com/
Description: Facebook WebApp for Prism
 Facebook WebApp is a Web Application using Prism, a simple
 XULRunner browser for web applications.

Package: prism-google-analytics
Architecture: all
Depends: prism, ${misc:Depends}
Homepage: http://analytics.google.com/
Description: Google Analytics WebApp for Prism
 Google Analytics WebApp is a Web Application using Prism, a simple
 XULRunner browser for web applications.

Package: prism-google-calendar
Architecture: all
Depends: prism, ${misc:Depends}
Homepage: https://www.google.com/calendar
Description: Google Calendar WebApp for Prism
 Google Calendar WebApp is a Web Application using Prism, a simple
 XULRunner browser for web applications.

Package: prism-google-docs
Architecture: all
Depends: prism, ${misc:Depends}
Homepage: https://docs.google.com/
Description: Google Docs WebApp for Prism
 Google Docs WebApp is a Web Application using Prism, a simple
 XULRunner browser for web applications.

Package: prism-google-mail
Architecture: all
Depends: prism, ${misc:Depends}
Homepage: https://mail.google.com/
Description: Google Mail (GMail) WebApp for Prism
 Google Mail (GMail) WebApp is a Web Application using Prism, a simple
 XULRunner browser for web applications.

Package: prism-google-reader
Architecture: all
Depends: prism, ${misc:Depends}
Homepage: https://www.google.com/reader
Description: Google Reader WebApp for Prism
 Google Reader WebApp is a Web Application using Prism, a simple
 XULRunner browser for web applications.

Package: prism-google-groups
Architecture: all
Depends: prism, ${misc:Depends}
Homepage: http://groups.google.com/groups/favorites
Description: Google Groups WebApp for Prism
 Google Groups WebApp is a Web Application using Prism, a simple
 XULRunner browser for web applications.

Package: prism-google-talk
Architecture: all
Depends: prism, ${misc:Depends}
Homepage: http://talkgadget.google.com/talkgadget/popout
Description: Google Talk WebApp for Prism
 Google Talk WebApp is a Web Application using Prism, a simple
 XULRunner browser for web applications.

Package: prism-twitter
Architecture: all
Depends: prism, ${misc:Depends}
Homepage: http://www.twitter.com/
Description: twitter WebApp for Prism
 twitter WebApp is a Web Application using Prism, a simple
 XULRunner browser for web applications.

Package: prism-qq
Architecture: all
Depends: prism, ${misc:Depends}
Homepage: http://web2.qq.com/
Description: QQ WebApp for Prism
 QQ WebApp is a Web Application using Prism, a simple
 XULRunner browser for web applications.

=== debian/rules ===
--- 
+++ 
@@ -6,19 +6,22 @@
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_BUILD_ARCH     ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
-DEBIAN_XUL_VER   := $(shell xulrunner-1.9.1 --gre-version)
+DEBIAN_NAME       = prism
+DEBIAN_XUL_VER   := $(shell xulrunner-1.9.2 --gre-version)
 DEBIAN_XUL_DEV   := /usr/lib/xulrunner-devel-$(DEBIAN_XUL_VER)
 DEBIAN_PRISM_VER  = $(shell grep ^MOZ_APP_VERSION= prism/confvars.sh | cut -d= -f2)
 DEBIAN_PRISM_DIR  = usr/lib/prism-$(DEBIAN_PRISM_VER)
 
 DEB_AUTO_UPDATE_AUTOCONF = 2.13
 
+MOZCLIENT_PROJECTNAME   := $(DEBIAN_NAME)
+MOZCLIENT_PROJECTDIR    := $(CURDIR)/debian/mozclient
 MOZ_XPI_BUILD_COMMAND	:= $(NULL)
 
 include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
-include /usr/share/mozilla-devscripts/prism.mk
+include $(CURDIR)/debian/mozclient/$(DEBIAN_NAME).mk
 include /usr/share/mozilla-devscripts/xpi.mk
 
 DEB_CONFIGURE_USER_FLAGS = \
@@ -42,11 +45,17 @@
 	"google-groups@groups@Google~Groups@http://groups.google.com/groups/favorites@GTK;Network;News;" \
 	"google-talk@gtalk@Google~Talk@http://talkgadget.google.com/talkgadget/popout@GTK;Network;InstantMessaging;" \
 	"twitter@twitter@twitter@http://www.twitter.com/@GTK;Network;" \
+	"qq@qq@QQ@http://web2.qq.com;" \
 	$(NULL)
 
 ALL_WEBAPPS = $(shell echo $(WEBAPPS) | sed -e 's/\([^@]*\)@[^ ]*\( *\)/\1\2/g')
 
+clean::
+	rm -rf testing tools
+	rm -rf prism/install/profiles/qq.webapp
+
 build/prism::
+	cp -f debian/webapp/qq.webapp prism/install/profiles/
 	cp -f dist/xpi-stage/refractor.xpi .
 
 binary-install/prism::
@@ -111,3 +120,7 @@
 clean::
 	rm -f debian/prism-*.png
 	rm -f refractor.xpi
+	find -type f \( -name '*.a' -o -name '*.o' -o -name '*.xpt' -o -name Makefile -o -name '*.so' \) -delete
+	rm -rf _leaktest
+	rm -rf prism/components/public/.deps prism/components/public/_xpidlgen
+	rm -rf prism/components/src/.deps
